/* template */

.dashboard-header {
  width: 100%;
  background: #f8f9fa;
  height: 5em;
  display: flex;
  align-items: center;
}

.nav-container {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  max-width: 1140px;
}

#table-container {
  display: none;
}

.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid black; /* darkgrey */
  border-radius: 50%;
  width: 100px;
  height: 100px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.user-loggedin {
  margin-left: auto;
  font-size: 16px;
  line-height: 32px;
  height: 2.5em;
  width: 8em;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #007bff;
}

.nav-brand {
  display: inline-block;
  padding-top: .3125rem;
  padding-bottom: .3125rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  line-height: inherit;
  white-space: nowrap;
  color: black
}

.footer {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   color: grey;
   text-align: center;
}

/* ALL PAGES */
a {
  text-decoration: none;
  background-color: transparent;
}

a:hover {
  cursor: pointer;
  text-decoration: none;
  color: #007bff;
}

th.dt-center, td.dt-center {
    text-align: center; 
}

.table-container{
    width: 100em;
    margin: 2em;
}

/* Discover Page */
.dashboard-content {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  display: flex;
  /* align-items: center; */
  justify-content: center;
  max-width: 1140px;
}

.dashboard-feed {
  padding: 1.5em;
  background-color: #f8f9fa;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-top: 1.5em;
}

.navbar-brand {
  color: black;
  display: inline-block;
  padding-top: 0.3125rem;
  padding-bottom: 0.3125rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  line-height: inherit;
  white-space: nowrap;
}

/* User Profile Page*/
 .user-profile-content {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  max-width: 1140px;
}
 
.user-information {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  justify-content: center;
  display: flex;
  flex-direction: row;
  
}
.personal-information-box {
  padding: 1.5em;
  background-color: #f8f9fa;
  width: 50%;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-top: 1.5em;
  margin-right: 1.5rem;
}

.incivility-box {
  padding: 1.5em;
  background-color: #f8f9fa;
  width: 50%;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-top: 1.5em;
  margin-left: 1.5rem;
}

.user-edits-feed {
  padding: 1.5em;
  background-color: #f8f9fa;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  margin-top: 1.5em;
}

/* Edit Comment Page */

body {
    font-family: 'Roboto';
}

.edit-info {
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
  border-radius: 25px;
  background: #f8f9fa;  
}

.feed {
  padding: 1.5em;
  max-width: 1140px;
  background-color: white;
  display: flex;
  flex-direction: column;
  margin-top: 1.5em;
  margin-bottom: 1.5em;
  margin-left: auto;
  margin-right: auto;
  overflow-x: hidden;
  position: relative;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%
}

.edit-box {
  justify-content: center;
  align-items: center;
}

.dashboard-subtitle {
  display: flex; 
  flex-direction: row;
  justify-content: space-evenly;
}

.toxicity {
  text-align: center;
}

/* FORM */
.radio-toolbar {
  margin: 10px;
}

.flagged {
  display: inline-block;
}

.radio-toolbar input[type="radio"] {
  opacity: 0;
  position: fixed;
  width: 0;
}

.radio-toolbar label {
  display: inline-block;
  background-color: white;
  padding: 10px 20px;
  font-size: 16px;
  border-radius: 4px;
}

/*when hovering*/
.radio-toolbar label[for="good"]:hover {
  background-color: #74c687;
  color: white;
}

.radio-toolbar label[for="notsure"]:hover {
  background-color: #a0a6ab;
  color: white;
}

.radio-toolbar label[for="report"]:hover {
  background-color: #e87c87;
  color: white;
}

/*when clicked*/
.radio-toolbar input[id="good"]:checked+label {
  background-color: #28a745;
  border-color: #4c4;
  color: white;
}

.radio-toolbar input[id="notsure"]:checked+label {
  background-color: #6c757d;
  border-color: #4c4;
  color: white;
}

.radio-toolbar input[id="report"]:checked+label {
  background-color: #dc3545;
  border-color: #4c4;
  color: white;
}

/* submit button */
#submit {
  background-color: white;
  border-color: #a0a6ab;
  display: inline-block;
  padding: 10px 20px;
  font-size: 16px;
  border-radius: 4px;
}

#submit:hover {
  background-color: #e8e6e1;
}

/* actions */
#list-div {
    align-items: center;
  justify-content: center;
}
.content {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  display: flex;
  /* align-items: center; */
  justify-content: center;
  max-width: 1140px;
}

.discover-slide-feed{
  padding: 1.5em;
  background-color: #f8f9fa;
  display: flex;
  flex-direction: column;
  margin-top: 1.5em;
  width: 100%;
}

/* badge */

.badge-green {
  display: inline-block;
  min-width: 10px;
  padding: 3px 7px;
  font-size: 12px;
  font-weight: bold;
  line-height: 1;
  color: #ffffff;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-color: #28a745;
  border-radius: 10px;
}

.badge-grey {
  display: inline-block;
  min-width: 10px;
  padding: 3px 7px;
  font-size: 12px;
  font-weight: bold;
  line-height: 1;
  color: #ffffff;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-color: #777777;
  border-radius: 10px;
}

.badge-red {
  display: inline-block;
  min-width: 10px;
  padding: 3px 7px;
  font-size: 12px;
  font-weight: bold;
  line-height: 1;
  color: #ffffff;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-color: #dc3545;
  border-radius: 10px;
}